<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
  <!-- expected parameters: patient -->
  <g:column id="firstnameColumn" sortBy="#{'firstName'}" filterBy="#{'firstName'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['firstName']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.FirstName']}</ui:define>
    <h:outputText value="#{patient.firstName}"/>
  </g:column>
  <g:column id="lastnameColumn" sortBy="#{'lastName'}" filterBy="#{'lastName'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['lastName']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.LastName']}</ui:define>
    <h:outputText value="#{patient.lastName}"/>
  </g:column>
  <g:column id="mmnameColumn" sortBy="#{'motherMaidenName'}" filterBy="#{'motherMaidenName'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['motherMaidenName']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.MothersMaidenName']}</ui:define>
    <h:outputText value="#{patient.motherMaidenName}"/>
  </g:column>
  <g:column id="genderColumn" sortBy="#{'genderCode'}" filterBy="#{'genderCode'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['genderCode']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Gender']}</ui:define>
    <h:outputText value="#{patient.genderCode}"/>
  </g:column>
  <g:column id="countryColumn" sortBy="#{'countryCode'}" filterBy="#{'countryCode'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['countryCode']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.CountryCode']}</ui:define>
    <h:outputText value="#{patient.countryCode}"/>
  </g:column>
  <g:column id="creationDateColumn" sortBy="#{'creationDate'}" sortOrder="descending" filterBy="#{'creationDate'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['creationDate']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.CreationDate_2']}</ui:define>
    <h:outputText value="#{patient.creationDate}"/>
  </g:column>
  <g:column id="creatorColumn" sortBy="#{'creator'}" filterBy="#{'creator'}" filterEvent="onkeyup" filterValue="#{dataTableStateHolder.columnFilterValues['creator']}">
    <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Creator']}</ui:define>
    <h:outputText value="#{patient.creator}"/>
  </g:column>
</ui:composition>
